#! /bin/sh
echo "Calling cache flush script"
#cache memory check
	totalLowmem=`cat /proc/meminfo | grep LowTota | awk '{print $2}'`
	cachemem=`cat /proc/meminfo | grep -i cached | grep -v Swap | awk '{print $2}'`
	freelowmem=`cat /proc/meminfo | grep LowFree | awk '{print $2}'`
	let fthresh=($totalLowmem * 20)/100
	let cthresh=($totalLowmem * 25)/100
	if [ $freelowmem -lt $fthresh -o $cachemem -gt $cthresh ]; then
		echo "Cache size more than threshold : $cthresh . Clearing it" >> /var/log/mstatdir/cachestatus
		echo "Output of /proc/meminfo: `date +%F--%T`" >> /var/log/mstatdir/cachestatus
		echo "=============================================" >> /var/log/mstatdir/cachestatus
		cat /proc/meminfo  >> /var/log/mstatdir/cachestatus
		echo 3 > /proc/sys/vm/drop_caches
	fi;
